org.springframework.ui.velocity

## Class CommonsLoggingLogSystem

- java.lang.Object
- - org.springframework.ui.velocity.CommonsLoggingLogSystem

All Implemented Interfaces:
  org.apache.velocity.runtime.log.LogSystem

Deprecated.
as of Spring 3.2, in favor of Velocity 1.6's `CommonsLogLogChute`

    @Deprecated
    public class CommonsLoggingLogSystem
    extends Object
    implements org.apache.velocity.runtime.log.LogSystem

Velocity LogSystem implementation for Jakarta Commons Logging. Used by VelocityConfigurer to redirect log output.

NOTE: To be replaced by Velocity 1.5's `LogChute` mechanism and Velocity 1.6's `CommonsLogLogChute` implementation once we upgrade to Velocity 1.6+ (likely Velocity 1.7+) in a future version of Spring.

Since:
  07.08.2003
Author:
  Juergen Hoeller
See Also:
  `VelocityEngineFactoryBean`

### Field Summary

### Fields inherited from interface org.apache.velocity.runtime.log.LogSystem

`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

### Constructor Summary

Constructors
Constructor and Description
`CommonsLoggingLogSystem()` Deprecated.

### Method Summary

Methods
`void` `init(org.apache.velocity.runtime.RuntimeServices runtimeServices)` Deprecated.
`void` `logVelocityMessage(int type, String msg)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonsLoggingLogSystem

    public CommonsLoggingLogSystem()

Deprecated.

### Method Detail

#### init

    public void init(org.apache.velocity.runtime.RuntimeServices runtimeServices)

Deprecated.

Specified by:
  `init` in interface `org.apache.velocity.runtime.log.LogSystem`

#### logVelocityMessage

    public void logVelocityMessage(int type,
                          String msg)

Deprecated.

Specified by:
  `logVelocityMessage` in interface `org.apache.velocity.runtime.log.LogSystem`